org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.DataTerm

- java.lang.Object
- - org.apache.cassandra.index.sasi.Term
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.DataTerm

All Implemented Interfaces:
  java.lang.Comparable<OnDiskIndex.DataTerm>

Enclosing class:
  OnDiskIndex

    public class OnDiskIndex.DataTerm
    extends Term
    implements java.lang.Comparable<OnDiskIndex.DataTerm>

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.Term

`content, termSize`

### Constructor Summary

Constructors
`protected` `DataTerm(MappedBuffer content, OnDiskIndexBuilder.TermSize size, TokenTree perBlockIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(OnDiskIndex.DataTerm other)`
`java.util.NavigableMap<java.lang.Long,Token>` `getSparseTokens()`
`RangeIterator<java.lang.Long,Token>` `getTokens()`
`boolean` `isSparse()`

### Methods inherited from class org.apache.cassandra.index.sasi.Term

`compareTo, compareTo, getDataOffset, getTerm, isPartial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTerm

    protected DataTerm(MappedBuffer content,
                       OnDiskIndexBuilder.TermSize size,
                       TokenTree perBlockIndex)

### Method Detail

#### getTokens

    public RangeIterator<java.lang.Long,Token> getTokens()

#### isSparse

    public boolean isSparse()

#### getSparseTokens

    public java.util.NavigableMap<java.lang.Long,Token> getSparseTokens()

#### compareTo

    public int compareTo(OnDiskIndex.DataTerm other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<OnDiskIndex.DataTerm>`